[Gutsy] DRI hangs on radeon Xpress 200M [1002:5975]

Bug #139241 reported by Kalman Reti on 2007-09-12
38
Affects Status Importance Assigned to Milestone
X.Org X server
Fix Released
Medium
xserver-xorg-video-ati (Ubuntu)
High
Unassigned

Bug Description

Gutsy tribe 5 and the daily 8-Sep-2007 Gusty cd (both checked
for validity) both fail to boot in normal graphics mode on this
Acer Aspire laptop. (The feisty live cd works, as does the safe
graphics mode.)

The screen cycles trying to initialize a varying number of times, but
eventually freezes the machine hard. Neither ctl-alt-f1 or ctl-alt-del
has any affect. Here is the lspci output after booting into the safe
graphics mode. Since the machine freezes solid when booting in
the normal graphics mode, I can't get the Xorg log file from that
attempt, but I've added the safe mode graphics one at the end.

ubuntu@ubuntu:~$ sudo lspci
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 10)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:05.0 PCI bridge: ATI Technologies Inc Unknown device 5a37
00:12.0 IDE interface: ATI Technologies Inc ATI 4379 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 83)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE Controller ATI (rev 80)
00:14.2 Audio device: ATI Technologies Inc SB450 HDA Audio (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]
02:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
06:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
06:04.0 CardBus bridge: ENE Technology Inc CB-712/4 Cardbus Controller (rev 10)
06:04.1 FLASH memory: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller (rev 01)
06:04.2 Generic system peripheral [0805]: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller (rev 01)
06:04.3 FLASH memory: ENE Technology Inc FLASH memory: ENE Technology Inc: (rev 01)
06:04.4 FLASH memory: ENE Technology Inc Unknown device 0551 (rev 01)
ubuntu@ubuntu:~$

        RedFieldPosition: 0
        GreenMaskSize: 0
        GreenFieldPosition: 0
        BlueMaskSize: 0
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 141 (1400x1050)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 2800
        XResolution: 1400
        YResolution: 1050
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 15
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 4
        RedMaskSize: 5
        RedFieldPosition: 10
        GreenMaskSize: 5
        GreenFieldPosition: 5
        BlueMaskSize: 5
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 142 (1400x1050)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 2800
        XResolution: 1400
        YResolution: 1050
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 16
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 4
        RedMaskSize: 5
        RedFieldPosition: 11
        GreenMaskSize: 6
        GreenFieldPosition: 5
        BlueMaskSize: 5
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 143 (1400x1050)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 4200
        XResolution: 1400
        YResolution: 1050
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 24
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 2
        RedMaskSize: 8
        RedFieldPosition: 16
        GreenMaskSize: 8
        GreenFieldPosition: 8
        BlueMaskSize: 8
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 144 (1400x1050)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 5600
        XResolution: 1400
        YResolution: 1050
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 32
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 1
        RedMaskSize: 8
        RedFieldPosition: 16
        GreenMaskSize: 8
        GreenFieldPosition: 8
        BlueMaskSize: 8
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 172 (1600x1200)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 1600
        XResolution: 1600
        YResolution: 1200
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 8
        NumberOfBanks: 1
        MemoryModel: 4
        BankSize: 0
        NumberOfImages: 7
        RedMaskSize: 0
        RedFieldPosition: 0
        GreenMaskSize: 0
        GreenFieldPosition: 0
        BlueMaskSize: 0
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 173 (1600x1200)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 3200
        XResolution: 1600
        YResolution: 1200
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 15
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 3
        RedMaskSize: 5
        RedFieldPosition: 10
        GreenMaskSize: 5
        GreenFieldPosition: 5
        BlueMaskSize: 5
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 174 (1600x1200)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 3200
        XResolution: 1600
        YResolution: 1200
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 16
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 3
        RedMaskSize: 5
        RedFieldPosition: 11
        GreenMaskSize: 6
        GreenFieldPosition: 5
        BlueMaskSize: 5
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 175 (1600x1200)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 4800
        XResolution: 1600
        YResolution: 1200
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 24
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 1
        RedMaskSize: 8
        RedFieldPosition: 16
        GreenMaskSize: 8
        GreenFieldPosition: 8
        BlueMaskSize: 8
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 176 (1600x1200)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0xc00050e7
        BytesPerScanline: 6400
        XResolution: 1600
        YResolution: 1200
        XCharSize: 8
        YCharSize: 16
        NumberOfPlanes: 1
        BitsPerPixel: 32
        NumberOfBanks: 1
        MemoryModel: 6
        BankSize: 0
        NumberOfImages: 1
        RedMaskSize: 8
        RedFieldPosition: 16
        GreenMaskSize: 8
        GreenFieldPosition: 8
        BlueMaskSize: 8
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000

(II) VESA(0): Total Memory: 256 64KB banks (16384kB)
(II) VESA(0): Generic Monitor: Using hsync range of 30.00-70.00 kHz
(II) VESA(0): Generic Monitor: Using vrefresh range of 50.00-160.00 Hz
(WW) VESA(0): Unable to estimate virtual size
(II) VESA(0): Not using built-in mode "1024x768" (no mode of this name)
(II) VESA(0): Not using built-in mode "800x600" (no mode of this name)
(II) VESA(0): Not using built-in mode "640x480" (no mode of this name)
(II) VESA(0): Not using built-in mode "640x400" (no mode of this name)
(II) VESA(0): Not using built-in mode "640x350" (no mode of this name)
(II) VESA(0): Not using built-in mode "512x384" (no mode of this name)
(II) VESA(0): Not using built-in mode "400x300" (no mode of this name)
(II) VESA(0): Not using built-in mode "320x240" (no mode of this name)
(II) VESA(0): Not using built-in mode "320x200" (no mode of this name)
(WW) VESA(0): No valid modes left. Trying less strict filter...
(II) VESA(0): Generic Monitor: Using hsync range of 30.00-70.00 kHz
(II) VESA(0): Generic Monitor: Using vrefresh range of 50.00-160.00 Hz
(WW) VESA(0): Unable to estimate virtual size
(--) VESA(0): Virtual size is 1024x768 (pitch 1024)
(**) VESA(0): *Built-in mode "1024x768"
(**) VESA(0): *Built-in mode "800x600"
(**) VESA(0): *Built-in mode "640x480"
(**) VESA(0): *Built-in mode "640x400"
(**) VESA(0): *Built-in mode "640x350"
(**) VESA(0): *Built-in mode "512x384"
(**) VESA(0): *Built-in mode "400x300"
(**) VESA(0): *Built-in mode "320x240"
(**) VESA(0): *Built-in mode "320x200"
(**) VESA(0): Display dimensions: (330, 210) mm
(**) VESA(0): DPI set to (78, 92)
(II) VESA(0): Attempting to use 85Hz refresh for mode "1024x768" (118)
(II) VESA(0): Attempting to use 85Hz refresh for mode "800x600" (115)
(II) VESA(0): Attempting to use 85Hz refresh for mode "640x480" (112)
(II) VESA(0): Attempting to use 85Hz refresh for mode "640x400" (185)
(II) VESA(0): Attempting to use 85Hz refresh for mode "640x350" (1c5)
(**) VESA(0): Using "Shadow Framebuffer"
(II) Loading sub module "shadow"
(II) LoadModule: "shadow"
(II) Loading /usr/lib/xorg/modules//libshadow.so
(II) Module shadow: vendor="X.Org Foundation"
        compiled for 1.3.0, module version = 1.1.0
        ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
        compiled for 1.3.0, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.3
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC? No, I don't.
(II) resource ranges after preInit:
        [0] -1 0 0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] -1 0 0xb0300100 - 0xb03001ff (0x100) MX[B]
        [5] -1 0 0xb0300c00 - 0xb0300c7f (0x80) MX[B]
        [6] -1 0 0xb0300800 - 0xb03008ff (0x100) MX[B]
        [7] -1 0 0xb0300400 - 0xb030047f (0x80) MX[B]
        [8] -1 0 0xb0300000 - 0xb03000ff (0x100) MX[B]
        [9] -1 0 0xb0000000 - 0xb0003fff (0x4000) MX[B]
        [10] -1 0 0x54180000 - 0x541803ff (0x400) MX[B]
        [11] -1 0 0xb0007000 - 0xb0007fff (0x1000) MX[B]
        [12] -1 0 0xb0006000 - 0xb0006fff (0x1000) MX[B]
        [13] -1 0 0xb0005000 - 0xb0005fff (0x1000) MX[B]
        [14] -1 0 0xb0004000 - 0xb00041ff (0x200) MX[B]
        [15] -1 0 0xb0100000 - 0xb010ffff (0x10000) MX[B](B)
        [16] -1 0 0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
        [17] -1 0 0x54000000 - 0x5400ffff (0x10000) MX[B]
        [18] 0 0 0x000a0000 - 0x000affff (0x10000) MS[B]
        [19] 0 0 0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [20] 0 0 0x000b8000 - 0x000bffff (0x8000) MS[B]
        [21] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [22] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
        [23] -1 0 0x0000a000 - 0x0000a0ff (0x100) IX[B]
        [24] -1 0 0x00008420 - 0x0000842f (0x10) IX[B]
        [25] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
        [26] -1 0 0x00000170 - 0x00000177 (0x8) IX[B]
        [27] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
        [28] -1 0 0x000001f0 - 0x000001f7 (0x8) IX[B]
        [29] -1 0 0x00008410 - 0x0000841f (0x10) IX[B]
        [30] -1 0 0x00008400 - 0x0000840f (0x10) IX[B]
        [31] -1 0 0x00008430 - 0x00008433 (0x4) IX[B]
        [32] -1 0 0x00008438 - 0x0000843f (0x8) IX[B]
        [33] -1 0 0x00008434 - 0x00008437 (0x4) IX[B]
        [34] -1 0 0x00008440 - 0x00008447 (0x8) IX[B]
        [35] -1 0 0x00009000 - 0x000090ff (0x100) IX[B](B)
        [36] 0 0 0x000003b0 - 0x000003bb (0xc) IS[B]
        [37] 0 0 0x000003c0 - 0x000003df (0x20) IS[B]
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules//libint10.so
(II) VESA(0): initializing int10
(II) VESA(0): Primary V_BIOS segment is: 0xc000
(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 16384 kB
(II) VESA(0): VESA VBE OEM: ATI RADEON XPRESS 200M Series
(II) VESA(0): VESA VBE OEM Software Rev: 1.0
(II) VESA(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) VESA(0): VESA VBE OEM Product: MS48
(II) VESA(0): VESA VBE OEM Product Rev: 01.00
(==) VESA(0): Write-combining range (0xc0000000,0x1000000)
(II) VESA(0): virtual address = 0x2b0963526000,
        physical address = 0xc0000000, size = 16777216
(II) VESA(0): VBESetVBEMode failed...Tried again without customized values.
(==) VESA(0): Default visual is TrueColor
(==) VESA(0): Backing store disabled
(**) Option "dpms"
(**) VESA(0): DPMS enabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(EE) AIGLX: Screen 0 is not DRI capable
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
        compiled for 1.3.0, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(**) Option "CoreKeyboard"
(**) Generic Keyboard: Core Keyboard
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Generic Keyboard: XkbModel: "pc105"
(**) Option "XkbLayout" "us"
(**) Generic Keyboard: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(**) Option "SendCoreEvents"
(**) stylus: always reports core events
(**) stylus device is /dev/input/wacom
(**) stylus is in absolute mode
(**) stylus: forcing TabletPC ISD V4 protocol
(**) WACOM: suppress value is 2
(**) Option "BaudRate" "9600"
(**) stylus: serial speed 9600
(**) Option "SendCoreEvents"
(**) cursor: always reports core events
(**) cursor device is /dev/input/wacom
(**) cursor is in relative mode
(**) cursor: forcing TabletPC ISD V4 protocol
(**) WACOM: suppress value is 2
(**) Option "BaudRate" "9600"
(**) cursor: serial speed 9600
(**) Option "SendCoreEvents"
(**) eraser: always reports core events
(**) eraser device is /dev/input/wacom
(**) eraser is in absolute mode
(**) eraser: forcing TabletPC ISD V4 protocol
(**) WACOM: suppress value is 2
(**) Option "BaudRate" "9600"
(**) eraser: serial speed 9600
(II) Synaptics touchpad driver version 0.14.6 (1406)
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event3
(**) Option "Device" "/dev/input/event3"
(**) Option "HorizScrollDelta" "0"
(--) Synaptics Touchpad touchpad found
(**) Option "SendCoreEvents" "true"
(**) Synaptics Touchpad: always reports core events
(II) XINPUT: Adding extended input device "Synaptics Touchpad" (type: MOUSE)
(II) XINPUT: Adding extended input device "eraser" (type: Wacom Eraser)
(II) XINPUT: Adding extended input device "cursor" (type: Wacom Cursor)
(II) XINPUT: Adding extended input device "stylus" (type: Wacom Stylus)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(**) Option "Device" "/dev/input/wacom"
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : Invalid argument
(**) Option "Device" "/dev/input/wacom"
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : Invalid argument
(**) Option "Device" "/dev/input/wacom"
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : Invalid argument
Synaptics DeviceInit called
SynapticsCtrl called.
(II) Configured Mouse: ps2EnableDataReporting: succeeded
Synaptics DeviceOn called
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event3
(**) Option "Device" "/dev/input/event3"
(--) Synaptics Touchpad touchpad found
ProcXCloseDevice to close or not ?
SetClientVersion: 0 9
AUDIT: Wed Sep 12 23:01:05 2007: 8361 X: client 23 rejected from local host (uid 999)
ubuntu@ubuntu:~$

Download full text (20.1 KiB)

Gutsy tribe 5 and the daily 8-Sep-2007 Gusty cd (both checked
for validity) both fail to boot in normal graphics mode on this
Acer Aspire laptop. (The feisty live cd works, as does the safe
graphics mode.)

The screen cycles trying to initialize a varying number of times, but
eventually freezes the machine hard. Neither ctl-alt-f1 or ctl-alt-del
has any affect. Here is the lspci output after booting into the safe
graphics mode. Since the machine freezes solid when booting in
the normal graphics mode, I can't get the Xorg log file from that
attempt, but I've added the safe mode graphics one at the end.

ubuntu@ubuntu:~$ sudo lspci
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 10)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:05.0 PCI bridge: ATI Technologies Inc Unknown device 5a37
00:12.0 IDE interface: ATI Technologies Inc ATI 4379 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 83)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE Controller ATI (rev 80)
00:14.2 Audio device: ATI Technologies Inc SB450 HDA Audio (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]
02:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
06:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
06:04.0 CardBus bridge: ENE Technology Inc CB-712/4 Cardbus Controller (rev 10)
06:04.1 FLASH memory: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller (rev 01)
06:04.2 Generic system peripheral [0805]: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller (rev 01)
06:04.3 FLASH memory: ENE Technology Inc FLASH memory: ENE Technology Inc: (rev 01)
06:04.4 FLASH memory: ENE Technology Inc Unknown device 0551 (rev 01)
ubuntu@ubuntu:~$

        RedFieldPosition: 0
        GreenMaskSize: 0
        GreenFieldPosition: 0
        BlueMaskSize: 0
        BlueFieldPosition: 0
        RsvdMaskSize: 0
        RsvdFieldPosition: 0
        DirectColorModeInfo: 0
        PhysBasePtr: 0xc0000000
Mode: 141 (1400x1050)
        ModeAttributes: 0xba
        WinAAttributes: 0x7
        WinBAttributes: 0x0
        WinGranularity: 64
        WinSize: 64
        WinASegment: 0xa000
        WinBSegment: 0xa000
        WinFuncPtr: 0x...

Paul Leger (pleger) wrote :

hi,

i have a problem with "ati radeon x1400" on "ubuntu gusty tribe 5". The live-cd dont start with my car

I also have the exact same symptoms:

01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200] (prog-if 00 [VGA])
        Subsystem: Intel Corporation Unknown device d600
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 21
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at ee00 [size=256]
        Memory at fdef0000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at fde00000 [disabled] [size=128K]
        Capabilities: <access denied>

Testing on Fedora Core 7, all packages updated as of 2007-09-20. All gits mentioned updated as of 2007-09-20.

Compiled libdrm and mesa from git and put symlinks (after backing up original files), and also compiled current git for xf86-video-ati . On startup, screen blanks out (LED on monitor turns from green to amber, like a powersaving mode). Keyboard does not respond to Ctrl-Alt-Backspace. Machine is still responsive, since I can ssh from another location and kill X. At least X can return to text mode on kill.

I suspect we need to make adjustments to the memory controller when the DRI is enabled. Hopefully we'll get some info from AMD soon.

dimitri (dimitri-vanlanduyt) wrote :

I have the same graphical chipset in my MSI S420 laptop, and I encounter the same. I found that adding

Option "GARTSize" "128"

 in my Device section of /etc/X11/xorg.conf does make it work. However, DRI does not initialize correctly. From /var/log/Xorg.0.log

(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version 1.27.0

(EE) RADEON(0): [pci] PCI failed to initialize. Disabling the DRI.
...
(EE) AIGLX: Screen 0 is not DRI capable

Tribe 5 Gutsy live CD has a problem to manage Compiz with ati cards and hopefully with last upgrades to a new driver next live CD probably Tribe 6 will prompt the new ati driver 1.6.7.193.

jcrow (cjac76) wrote :

I'm not sure if I have the same problem. I tried to boot using the gusty beta live cd and it gets past the login screen and hangs. I say some wireless card errors (broadcom) as it was booting, but then I got the login screen. After pressing enter, it worked for a little while then I saw an error message for a second then it hung with the wallpaper on the screen. I have a gateway laptop with an ATI Xpress 1150. I am currently using Feisty with XGL and compiz fusion.

zanny (zanny) wrote :

same problem also with ubuntu-7.10-beta-desktop-amd64 on an acer aspire 5102. Automatic login (user ubuntu) gets successful, aber it freezes just after displaying the background.

Kalman, can you try Gutsy Beta? Please _attach_ /var/log/Xorg.0.log.

Changed in xserver-xorg-video-ati:
assignee: nobody → tormodvolden
status: New → Incomplete

From https://bugs.launchpad.net/bugs/139241 (and duplicates) it seems like the [1002:5975] card has to have DRI disabled as well.

I downloaded the beta amd64 dvd image; there is no change in my symptoms. It briefly
shows the orange-brown desktop and cursor, then goes black. It sometimes flashes the
screen briefly. Then a login screen appears saying that Ubuntu will automatically login in
ten seconds. When it does, the mouse is frozen. After a while, this whole sequence of
displaying the login screen, counting down the time and automatically logging in repeats.
Since stuff is loaded into memory, it gets farther towards displaying the desktop each time,
but never succeeds. I let it go on about a dozen times. Then I tried to type alt-ctl-f1 to
get to a console. This is unresponsive in the "frozen" part. Just when the login screen
appears, I get a response, but it is to discolor the top part of the screen. There are some
blue pixels which change when I go back and forth between alt-ctl-F1 and alt-ctl-F2, but
the screen is not readable. Switching to one of the consoles has the effect of interrupting
the cycling. Is there some way to reset the video characteristics from a console?

Kalman Reti (kalman-reti) wrote :

By dint of blind typing to apt-get install openssh server and resetting ubuntu's password,
I was able to ssh in from another machine to retrieve the Xorg.0.log file (attached).

Kalman Reti (kalman-reti) wrote :

Another possibly relevant bit is the daemon.log file, which shows a fatal X error
(presumably each of the retries of the login screen I saw).

Kalman Reti (kalman-reti) wrote :

There was also an Xorg.0.log.old file. It has some different information.

Created an attachment (id=11888)
Disable DRI by default for RS482 cards

Created an attachment (id=11889)
Disable DRI by default for RS482 cards

Try disabling DRI and see if it helps. For how to change xorg.conf on the live CD before X starts, see https://wiki.ubuntu.com/EdgyKnownIssues/59618
Add the option
 Option "DRI" "off"
(and of course do not change to vesa like in the wiki instructions).

What's the PCI ID of your card? lspci -vvnn|grep "VGA compatible"

Kalman Reti (kalman-reti) wrote :

output of lspci command is:

01:05.0 VGA Compatible controller [0300]: ATI Technologies Inc RS485 [Radeon Xpress 1100 IGP] [1002:5975] (prog-if 00 [VGA])

Tormod Volden (tormodvolden) wrote :

I am a little surprised this didn't give the same name as in your original lspci output:
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]

But it's possible that the pci ID database has been updated/corrected in the meantime.

Kalman Reti (kalman-reti) wrote :

Turning off DRI worked.

Changed in xserver-xorg-video-ati:
assignee: tormodvolden → nobody
status: Incomplete → Confirmed

Confirm Changing xorg.conf
 Section "Device"
               Identifier "ATI Technologies Inc RS485 [Radeon Xpress 1100 IGP]"
               Driver "ati"
               BusID "PCI:1:5:0"
              Option "DRI" "off" <========added this line
EndSection

WORKED!

Changed in xorg-server:
status: Unknown → Confirmed

Created an attachment (id=11910)
rename to PCI_CHIP_RS485_5975 everywhere

Ok, I mean RS485 cards. They are just called RS482_5975 in the code.

Since bugzilla refuses me to open a new bug for that, I'll attach a patch for renaming it to RS485_5975 here. The other patch has to corrected accordingly.

committed:
314e8fdbe5369e4c1786d176d03d0d2a046f25d5
fe66cc4e02a52e1d014ae5de192c65e8abd7f58a

Yep, seems like this chip can't work with DRI at the moment. It should be disabled by default.

Changed in xserver-xorg-video-ati:
importance: Undecided → High
Timo Aaltonen (tjaalton) wrote :

Patch from upstream bugzilla has been added to the package, which is being uploaded for review.

Changed in xserver-xorg-video-ati:
status: Confirmed → Fix Committed
Timo Aaltonen (tjaalton) wrote :

xserver-xorg-video-ati (1:6.7.194-1ubuntu2) gutsy; urgency=low

  [ Timo Aaltonen ]
  * Add some patches from git master which fix a number of important
    bugs. Also add a new patch (10) which has not yet been merged
    upstream.

  [ Tormod Volden ]
  * debian/patches/02_mode_code_cleanup.diff:
    - Prerequisite for patch 03.
    "RADEON: more clean up of mode code"
    (fd.o commit 21593d04d222b05dbba9abd31eaa3bfb91d999b6)
  * debian/patches/03_LVDS_mode_validation.diff:
    - Prerequisite for patch 07.
    "RADEON: more work on LVDS mode validation and fixups"
    (fd.o commit 99ceaefa18c6e07b55106cca0ea8996fa73667be)
  * debian/patches/04_remove_cruft.diff
    - Removes two unused functions.
    "RADEON: remove cruft"
    (fd.o commit dcc376e2d2a13329dd03f1bc4b471329757a6f5f)
  * debian/patches/05_ext_tdms_table.diff
    - Prerequisite for patch 09.
    "RADEON: add support for ext tmds table and ext tmds chip init"
    (fd.o commit 22519fde1e002f28d6036d448fcd18452d00f1bb)
  * debian/patches/06_initdispbandwidth.diff:
    "RADEON: fix RADEONInitDispBandwidth() on single crtc cards"
    (LP: #86072, #144011)
    (fd.o commit 0ca184c3c35032df39ea7ce5d2d4aba1a97b6426)
  * debian/patches/07_sort_out_LVDS_modes.diff:
    - Prerequisite for patch 09.
    "RADEON: Finally sort out LVDS modes"
    (fd.o commit cc0c2d8e61600652b1f9cb3dc49db2ef62b1e40d)
  * debian/patches/08_disable_dri_rc410.diff:
    "rc410: disable DRI by default due to it not working"
    (LP: #144297)
    (fd.o commit d808781d48adf01e80b5bb476bae2d2f599030f1)
  * debian/patches/09_mode_and_output_fixes.diff:
    "RADEON: final fix for RMX/LVDS"
    (LP: #132716)
    (fd.o commit 597dffce9bdc200003d0be880235258386a0bdd7)
    "RADEON: minor fixes for external TMDS"
    (fd.o commit bfede412b3a3cd11769a580b167c528734146096)
    "RADEON: remove RADEONSaveMode()"
    (fd.o commit 5f5c4e6ad61c45c24f1443b91b4bc5375efdebc0)
    "RADEON: more fixes for single crtc chips"
    (fd.o commit b6bda79f72df5e5bf9c6b71fa3298e765da506bd)
    "RADEON: remove some cruft"
    (fd.o commit 3a958ba136c3fae5a4ddd56373ac7cd47046f10e)
  * debian/patches/10_disable_dri_rs485.diff
    - disable DRI on RS485 (the driver mistakenly lists it as RS482)
      (LP: #139241)

 -- Timo Aaltonen <email address hidden> Sat, 6 Oct 2007 01:52:08 +0300

Changed in xserver-xorg-video-ati:
status: Fix Committed → Fix Released
Przemek K. (azrael) wrote :

RS485 (the driver mistakenly lists it as RS482) - that explains all.

I'm seeing this on suse 10.3 with xorg 7.2. With gateway laptop ml3109.

lspci:

01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M] (prog-if 00 [VGA])
        Subsystem: Gateway 2000 Unknown device 0318
        Flags: bus master, 66MHz, medium devsel, latency 66, IRQ 17
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        I/O ports at 9000 [size=256]
        Memory at c0000000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c0020000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-

More than a blank screen though, my keyboard doesn't respond (no caps lock light). But, I can still ssh to the laptop...

With fglrx driver 8.42.3 the ATI Technologies Inc RC410 [Radeon Xpress 200] integrated chip in my machine works correctly with DRI enabled (but only at 1280x1024, and the screen is capable of at least 1400x1050). Is there anything I can do on my machine that will provide information on how to enable DRI correctly on the open-source driver?

Created an attachment (id=12671)
Result of running revenge-1.0 on Radeon XPRESS 200M

This is the result of running revenge 1.0 on my machine: ATI Technologies Inc RC410 [Radeon Xpress 200]. Beryl is running but with metacity as window manager.

Martin Vysny (vyzivus) wrote :

What the hell IS that card?
- According to http://www.notebookcheck.net/ATI-Radeon-Xpress-1100.2174.0.html it is based on x300 cards which are based on RV380 chip.
- According to http://my.ocworkbench.com/bbs/showthread.php?t=54479 it is a motherboard.
- According to http://cgit.freedesktop.org/~ahuillet/drm/tree/shared-core/drm_pciids.txt it is a RS400 chip.
Now what?
According to the latter link It seems that both cards (m200 and 1100) are based on RS400 chip. Thus, if the driver mismatches one card for another, it should not have significiant impact in the driver behavior... But I am a newbie in this stuff, so please excuse me if I am writing nonsense :)
PS: The RS485 identifier is an identifier for a motherboard chipset (http://www.theinquirer.net/en/inquirer/news/2005/11/24/ati-rs485-is-amd-socket-m2-ready) and imho used incorrectly as an identifier for a graphic card.
PS2: isn't this bug related to http://dri.freedesktop.org/wiki/ATIRadeon#head-4b381841e68bebbdf8a58b1e669f81f017d66aa0 ?

Przemek K. (azrael) wrote :

It's a GPU integrated with a motherboard northbridge, it's used in laptops.

Martin Vysny (vyzivus) wrote :

Just a note, perhaps a bit off-topic: I'm using the radeon driver with my 200M on Intrepid Ibex and DRI works correctly, both with XAA and EXA.

$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,
    GLX_OML_swap_method, GLX_SGI_swap_control, GLX_SGIS_multisample,
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory,
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control,
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control,
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_swap_control,
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_swap_control,
    GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig,
    GLX_SGIX_visual_select_group
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 20060815 NO-TCL
OpenGL version string: 1.3 Mesa 7.1

$ glxgears
3887 frames in 5.0 seconds = 774.387 FPS
3466 frames in 5.0 seconds = 693.139 FPS
3196 frames in 5.0 seconds = 639.155 FPS

The DRI should work on that chip now.

Changed in xorg-server:
status: Confirmed → Fix Released
Changed in xorg-server:
importance: Unknown → Medium
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.